#
# spec file for package kinput2
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kinput2
Version:        v3.1
Release:        4.3
Summary:        Kanji Input Server for the X Window System
License:        HPND
Group:          System/I18n/Japanese
Url:            ftp://ftp.sra.co.jp/pub/x11/kinput2
Source:         ftp://ftp.sra.co.jp/pub/x11/kinput2/%{name}-v3.1.tar.bz2
Source10:       etc-x11-xim.d-kinput2-canna
Source11:       etc-x11-xim.d-kinput2-wnn
Patch0:         kinput2.app-defaults.patch
Patch1:         Kinput2.conf.patch
Patch2:         kinput2.man-page.patch
Patch3:         %{name}-v3.1-beta3.dif
Patch4:         %{name}-v3.1-beta3-java.dif
Patch5:         kinput2-v3.1-rootwindow-1.patch
Patch6:         reset_state.patch
Patch7:         kinput2-nonvoid.patch
Patch8:         64bit.patch
Patch9:         bugzilla-47203-keep-auxiliary-windows-on-top.patch
Patch10:        bugzilla-63978-hoge.patch
Patch11:        bugzilla-62553-spotlocation.patch
Patch12:        %{name}-%{version}-prototypes.patch
Patch13:        canna_c-warn.diff
Patch14:        bugzilla-137396-cannot-work-after-specific-function-calls.patch
Patch15:        bugzilla-368441-local-variable-used-before-set.patch
# PATCH-FIX-UPSTREAM getline() is a standard function in stdio.h
# rename to getLine
Patch16:        kinput2-v3.1-getline.patch
BuildRequires:  canna-devel
BuildRequires:  fwnndev
BuildRequires:  xorg-x11-devel
# Own /etc/X11/xim.d
BuildRequires:  x11-tools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Kinput2 is an input server for X Window System applications that
require Japanese text input.

%prep
%setup -n %{name}-v3.1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
# doesn't help for this version of kinput2, Java problem still exists.
#%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13
%patch14 -p1
%patch15 -p1
%patch16 -p1
head -n 21 cmd/kinput2.c > Copyright

%build
xmkmf
make %{?_smp_mflags} Makefiles
make %{?_smp_mflags} depend
make %{?_smp_mflags} CCOPTIONS="%{optflags}"

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
make install.man MANSUFFIX=1 LIBMANSUFFIX=3 DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/X11/xim.d/ja
install -m 644 %{SOURCE10} \
               %{buildroot}%{_sysconfdir}/X11/xim.d/kinput2-canna
install -m 644 %{SOURCE11} \
               %{buildroot}%{_sysconfdir}/X11/xim.d/kinput2-wnn
pushd  %{buildroot}%{_sysconfdir}/X11/xim.d/
    ln -s kinput2-canna kinput2
    pushd ja
        ln -s ../kinput2-canna 70-kinput2-canna
	ln -s ../kinput2-wnn   71-kinput2-wnn
    popd
popd

%files
%defattr(-, root, root)
%doc Copyright NEWS doc
%doc client/README
%config %{_sysconfdir}/X11/xim.d/*
%{_bindir}/*
%{_datadir}/X11/app-defaults
%doc %{_mandir}/*/*
%dir %{_libexecdir}/X11/ccdef/
%{_libexecdir}/X11/ccdef/*

%changelog
* Mon Oct 27 2014 i@marguerite.su
- fix build for factory
  * add patch: kinput2-v3.1-getline.patch
  * getline() is a standard function from stdio.h,
    rename to getLine
- remove unnessarily self-defined macros
* Sun Jul 21 2013 bkbin005@rinku.zaq.ne.jp
- on Factory, "%%doc -P client/REDAME" in kinput2.spec is made to stop
  build .  Then fixed .
* Sat Jul 20 2013 bkbin005@rinku.zaq.ne.jp
- remove "Provides: locale(xorg-x11:ja)" from kinput2.spec
  and not installed by default because most users do not use
  this package anymore .
* Wed Mar 28 2012 cfarrell@suse.com
- license update: HPND
* Tue Feb 28 2012 tiwai@suse.de
- fix filelist to build properly on FACTORY
* Tue Dec 20 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Mon Nov  8 2010 coolo@novell.com
- remove support for old distros
* Wed Dec  2 2009 coolo@novell.com
- update patch to fix build
* Fri Nov 14 2008 mrueckert@suse.de
- use suse_version instead of sles_version in the conditional.
* Tue Mar 11 2008 lrupp@suse.de
- fix typo in BuildRequires macro for sles9
* Mon Mar 10 2008 mfabian@suse.de
- bnc#368441: fix “local variable used before set” compiler
  warning.
* Tue Mar  6 2007 mfabian@suse.de
- make the package build for sles9.
* Mon Mar  5 2007 mfabian@suse.de
- Bugzilla #137396: "LTC20105-kinput2 cannot work after specific
  function calls ": fixed by patch received from Shoji SUGIYAMA
  from IBM.
- use macros to make it build with the old X.org as well.
* Sun Aug  6 2006 cthiel@suse.de
- fix build with X.org 7.1
* Tue Feb 28 2006 mfabian@suse.de
- add "Provides: locale(xorg-x11:ja)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov  8 2005 dmueller@suse.de
- don't build as root
* Fri Nov  4 2005 aj@suse.de
- Fix some compiler warnings in Canna.c.
* Wed Jun 15 2005 meissner@suse.de
- use RPM_OPT_FLAGS
- fixed implicit declarations by adding more includes.
* Thu May 19 2005 mfabian@suse.de
- Bugzilla #62553: "LTC11323-kinput2 may not handle spot location
  properly on Motif": add patch by Jiro SEKIBA <sekiba@jp.ibm.com>.
* Tue Apr 26 2005 mfabian@suse.de
- Bugzilla #63978: "LTC12852-kinput2 doesn't update its status
  description after XmbResetIC": add patch by <ksampei@jp.ibm.com>.
* Wed Mar 16 2005 uli@suse.de
- likewise for /etc/X11/xim.d/kinput2-canna
* Mon Mar 14 2005 uli@suse.de
- fix thinko in /etc/X11/xim.d/kinput2-wnn
* Tue Feb 22 2005 mfabian@suse.de
- fix typo in /etc/X11/xim.d/kinput2-{canna,wnn}.
* Mon Feb 21 2005 mfabian@suse.de
- create start scripts /etc/X11/xim.d/kinput2-{canna,wnn}
  and symlinks in ja subdirectory.
* Sat Oct 16 2004 mfabian@suse.de
- Bugzilla #47203: "LTC11198-Unexpected window overlap order on
  KDE". Fixed with patch created by IBM.
* Wed Jul 28 2004 mfabian@suse.de
- add 64bit.patch received from Mitsuru Chinen <chinen@jp.ibm.com>,
  see Bugzilla #42973 (patch slightly improved to make it build
  on STABLE).
* Mon May 24 2004 ro@suse.de
- added return values to non-void functions
* Fri Apr  2 2004 mfabian@suse.de
- Bugzilla #35697:
  "LTC6518-kinput2 doesn't work properly for XmbResetIC() with
  XIMInitialState"
  apply patch received from IBM.
* Fri Feb 20 2004 mfabian@suse.de
- Bugzilla #34752: don't allow to close the candidate window
  with the close button of the window manager.
  Thanks to Mitsuru Chinen <mchinen@yamato.ibm.com>
* Fri Jun 13 2003 mfabian@suse.de
- fix "directory not owned by any package".
* Thu Nov 14 2002 mfabian@suse.de
- remove Epoch tag. I added this because the version changed
  from v3.1beta4 to v3.1, but it looks like using Epoch because
  of that is not a good idea.
* Wed Oct 23 2002 mfabian@suse.de
- update to v3.1
* Sun Aug 11 2002 mfabian@suse.de
- change # neededforbuild:
  cannadev -> canna canna-devel canna-libs
  xf86 -> x-devel-packages
* Fri Aug  2 2002 mfabian@suse.de
- update to v3.1-beta4:
  * A bug in destroying IC, which is introduced by the previous
    beta and causes some clients core dump is fixed.
* Mon Mar 11 2002 mfabian@suse.de
- change app-defaults to avoid input focus for the
  "SeparateConversion", "selectionShell", and "auxShell" widgets.
  These windows should never get focus, it just causes problems
  when they do.
* Sat Jan 19 2002 mfabian@suse.de
- updated to v3.1-beta3
* Mon Sep 24 2001 mfabian@suse.de
- change the default keybindings for kinput2/Wnn to use
  ccdef.kinput2.egg. User feedback seems to indicate that nobody
  likes the "default default" keybindings from ccdef.kinput2
  (I don't like them either). The keybindings defined in
  ccdef.kinput2.egg are much more similar to the behaviour
  of other input methods like kinput2/Canna etc., therefore they
  seem to more natural for most people.
- fix the man-page to mention the new default.
* Thu Sep  6 2001 mfabian@suse.de
- fix "too few arguments to function `jl_kanji_len'"
  (was always wrong, but went unnoticed until <schwab@suse.de>
  fixed some stuff in FreeWnn.
- remove warnings (passing incompatible pointer type etc.)
* Fri Aug 10 2001 mfabian@suse.de
- updated to v3.1-beta2
* Sat May 12 2001 schwab@suse.de
- Fix missing declarations.
* Mon May  7 2001 mfabian@suse.de
- bzip2 sources
* Wed Nov  1 2000 mfabian@suse.de
- added support for wnn.
* Fri Jul 14 2000 mfabian@suse.de
- new package: kinput2, Version v3.1 alpha1
